Gst::ElementClass< DerivedCppType > Class Template Reference

## Public Member Functions

void | add_pad_template (const Glib::RefPtr< Gst::PadTemplate >& tpl)
void | set_metadata (const Glib::ustring& longname, const Glib::ustring& classification, const Glib::ustring& description, const Glib::ustring& author)
void | add_metadata (const Glib::ustring& key, const Glib::ustring& value)

## Friends

GType | register_mm_type (const gchar* type_name)

## Member Function Documentation

template <typename DerivedCppType >

void Gst::ElementClass< DerivedCppType >::add_metadata | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | value
| ) |  |

inline

template <typename DerivedCppType >

void Gst::ElementClass< DerivedCppType >::add_pad_template | ( | const Glib::RefPtr< Gst::PadTemplate >& | tpl | ) |

inline

template <typename DerivedCppType >

void Gst::ElementClass< DerivedCppType >::set_metadata | ( | const Glib::ustring & | longname,
|  | const Glib::ustring & | classification,
|  | const Glib::ustring & | description,
|  | const Glib::ustring & | author
| ) |  |

inline

## Friends And Related Function Documentation

template <typename DerivedCppType >

GType register_mm_type | ( | const gchar * | type_name = `typeid(DerivedCppType).name()` | ) |

friend

The documentation for this class was generated from the following file:

- gstreamermm/register.h